org.apache.felix.resolver.util

## Class OpenHashMap.AbstractObjectCollection<K>

- java.lang.Object
- - java.util.AbstractCollection<K>
  - - org.apache.felix.resolver.util.OpenHashMap.AbstractObjectCollection<K>

All Implemented Interfaces:
  Iterable<K>, Collection<K>

Direct Known Subclasses:
  OpenHashMap.AbstractObjectSet

Enclosing class:
  OpenHashMap<K,V>

    public abstract static class OpenHashMap.AbstractObjectCollection<K>
    extends AbstractCollection<K>

### Constructor Summary

Constructors
`protected` `AbstractObjectCollection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `add(K k)`
`boolean` `addAll(Collection<? extends K> c)`
`boolean` `containsAll(Collection<?> c)`
`boolean` `isEmpty()`
`boolean` `removeAll(Collection<?> c)`
`boolean` `retainAll(Collection<?> c)`
`Object[]` `toArray()`
`<T> T[]` `toArray(T[] a)`
`String` `toString()`

### Methods inherited from class java.util.AbstractCollection

`clear, contains, iterator, remove, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`equals, hashCode, parallelStream, removeIf, spliterator, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### AbstractObjectCollection

    protected AbstractObjectCollection()

### Method Detail

#### toArray

    public Object[] toArray()

Specified by:
  `toArray` in interface `Collection<K>`
Overrides:
  `toArray` in class `AbstractCollection<K>`

#### toArray

    public <T> T[] toArray(T[] a)

Specified by:
  `toArray` in interface `Collection<K>`
Overrides:
  `toArray` in class `AbstractCollection<K>`

#### addAll

    public boolean addAll(Collection<? extends K> c)

Specified by:
  `addAll` in interface `Collection<K>`
Overrides:
  `addAll` in class `AbstractCollection<K>`

#### add

    public boolean add(K k)

Specified by:
  `add` in interface `Collection<K>`
Overrides:
  `add` in class `AbstractCollection<K>`

#### containsAll

    public boolean containsAll(Collection<?> c)

Specified by:
  `containsAll` in interface `Collection<K>`
Overrides:
  `containsAll` in class `AbstractCollection<K>`

#### retainAll

    public boolean retainAll(Collection<?> c)

Specified by:
  `retainAll` in interface `Collection<K>`
Overrides:
  `retainAll` in class `AbstractCollection<K>`

#### removeAll

    public boolean removeAll(Collection<?> c)

Specified by:
  `removeAll` in interface `Collection<K>`
Overrides:
  `removeAll` in class `AbstractCollection<K>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<K>`
Overrides:
  `isEmpty` in class `AbstractCollection<K>`

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractCollection<K>`